#![no_std]

use core::ptr::addr_of_mut;

#[allow(clippy::all)]
#[allow(non_upper_case_globals)]
#[allow(non_camel_case_types)]
#[allow(non_snake_case)]
#[allow(improper_ctypes)] // Zero size struct for k_spinlock
#[allow(dead_code)]
mod bindings {
    include!("bindings.rs");
}
pub use bindings::*;

extern "C" {
pub static mut husb: bindings::UART_HandleTypeDef;
pub static mut hlpuart1: bindings::UART_HandleTypeDef;
pub static mut husart1: bindings::UART_HandleTypeDef;

}

#[no_mangle]
pub fn rs_main() -> ! {
    loop {}
}

#[panic_handler]
fn panic(_info: &core::panic::PanicInfo) -> ! {
    loop {}
}
