# Rust and Vendor SDK Interop

This is a quick and dirty example project showing how to use a vendor SDK and Rust in a bare-metal system. The example has been built for the STM32WB55 Nucleo board.

## Requirements

* Rust v. 1.80+, thumbv7em-none-eabihf target installed
* CMake 3.20+
* gcc-arm-none-eabi installed and on the path
* ninja installed and on the path
* corrosion.rs installed

## Building

Configure, using CMake Preset

```shell
cmake . --preset debug
```

Configure

```shell
cmake --build --preset debug
```
