
set(HAL_SOURCES
    ${ST_CODEGEN_OUTPUT}/Core/Src/main.c
    ${ST_CODEGEN_OUTPUT}/Core/Src/STM32WBxx_hal_msp.c
    ${ST_CODEGEN_OUTPUT}/Core/Src/STM32WBxx_it.c
    ${ST_CODEGEN_OUTPUT}/Core/Src/system_STM32WBxx.c

    # ToDo: Ideally this part would be generated as well, by analyzing the IoC file!
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal.c

    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_uart.c
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_uart_ex.c
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_rcc.c
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_ll_rcc.c
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_rcc_ex.c
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_flash.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_flash_ex.c
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_gpio.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_hsem.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_dma.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_dma_ex.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_pwr.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_pwr_ex.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_cortex.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_exti.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_tim.c 
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_tim_ex.c
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_pcd.c
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_hal_pcd_ex.c
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Src/STM32WBxx_ll_usb.c 

    ${ST_CODEGEN_OUTPUT}/startup_stm32wb55xx_cm4.s
)



set(HAL_INCLUDES
    ${ST_CODEGEN_OUTPUT}/Core/Inc
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Inc
    ${ST_CODEGEN_OUTPUT}/Drivers/STM32WBxx_HAL_Driver/Inc/Legacy
    ${ST_CODEGEN_OUTPUT}/Drivers/CMSIS/Device/ST/STM32WBxx/Include
    ${ST_CODEGEN_OUTPUT}/Drivers/CMSIS/Include
)